package rozwiazania_zadan.r1.z06_zgadywanka;

import java.util.Scanner;
import java.util.concurrent.ThreadLocalRandom;

public class MaloDuzo_v3 {

	public static void main(String[] args) {
		final int LIMIT = 1000;
		
		@SuppressWarnings("resource")
		Scanner sc = new Scanner(System.in);
		
		int szukana = ThreadLocalRandom.current().nextInt(LIMIT);
		
		System.out.println("Wylosowałem liczbę z zakresu od 0 do " + (LIMIT-1) + ". Spróbuj ją odgadnąć...");
		
		int ileProb = 0;
		int propozycja = -1;
		while(propozycja != szukana) {
			ileProb += 1;
			System.out.println("Wprowadź liczbę: ");
			propozycja = sc.nextInt();
			if(propozycja < szukana) {
				System.out.println("Podana liczba jest zbyt mała.");
			}
			if(propozycja > szukana) {
				System.out.println("Podana liczba jest zbyt duża.");
			}
		}
		System.out.println();
		System.out.println("Brawo! Tą liczbą jest " + szukana);
		System.out.println("Udało ci się odgadnąć w " + ileProb + " próbie.");
	}

}
